from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XModeChangeBroadcaster(XInterface, Protocol):
    def addModeChangeListener(self, rxListener: XModeChangeListener) -> None: ...
    def removeModeChangeListener(self, rxListener: XModeChangeListener) -> None: ...
